<template>
  <dibs-input-select
    :id="id"
    v-model="currentValue"
    :default="currentValue"
    :options="options"
  />
</template>
<script>
export default {
  props: {
    id: {
      type: [String],
      required: true,
    },
    isConjoint: {
      type: Boolean,
      default: false,
    },
    default: {
      type: [String, Number],
      default: null,
    },
    placeholder: {
      type: [String],
      required: false,
      default: "756.####.####.##",
    },
  },
  emits: {
    "update:modelValue": null,
  },
  data() {
    return {
      currentValue: this.default,
      options: [],
    };
  },
  watch: {
    currentValue(selection) {
      this.$emit("update:modelValue", selection);
    },
  },
  mounted() {
    this.options = this.$tm(
      this.isConjoint ? "commons.avs_conjoint_options" : "commons.avs_options",
    ).map((option) => {
      return {
        label: this.$rt(option.label),
        value: this.$rt(option.value),
      };
    });
  },
};
</script>
